use crate::traits::html_renderable::HtmlRenderable;
use maud::{html, Markup};

use super::tasks::{TaskPriority, TaskStatus};

impl HtmlRenderable for TaskPriority {
    fn to_html(&self) -> Markup {
        html! {
            i class=(format!("priority-icon {}", match self {
                TaskPriority::Low => "icon-low",
                TaskPriority::Medium => "icon-medium",
                TaskPriority::High => "icon-high",
            })) {}
        }
    }
}

impl HtmlRenderable for TaskStatus {
    fn to_html(&self) -> Markup {
        html! {
            i class=(format!("status-icon {}", match self {
                TaskStatus::Backlog => "icon-backlog",
                TaskStatus::Todo => "icon-todo",
                TaskStatus::InProgress => "icon-in-progress",
                TaskStatus::Done => "icon-done",
                TaskStatus::Canceled => "icon-canceled",
            })) {}
        }
    }
}
